Skip to main content
GET
/
cloud
/
v1
/
secrets
/
{project_id}
/
{region_id}
List secrets
curl --request GET \
  --url https://api.gcore.com/cloud/v1/secrets/{project_id}/{region_id} \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "id": "bfc7824b-31b6-4a28-a0c4-7df137139215",
      "name": "AES key",
      "status": "ACTIVE",
      "algorithm": "aes",
      "bit_length": 256,
      "content_types": {
        "default": "application/octet-stream"
      },
      "created": "2023-03-23T20:00:00+00:00",
      "expiration": "2023-06-23T20:00:00+00:00",
      "mode": "cbc"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Query Parameters

limit
integer
default:1000

Optional. Limit the number of returned items

Required range: x <= 1000
Example:

1000

offset
integer
default:0

Optional. Offset value is used to exclude the first set of records from the result

Required range: x >= 0
Example:

0

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
SecretSerializer · object[]
required

Objects